{% extends '@ChillEvent/layout.html.twig' %}

{% block js %}
    {{ encore_entry_script_tags('mod_async_upload') }}
{% endblock %}

{% block css %}
    {{ encore_entry_link_tags('mod_async_upload') }}
{% endblock %}

{% block title 'Event creation'|trans %}

{% block event_content -%}
<div class="col-10">
    <h1>{{ 'Event creation'|trans }}</h1>

    {{ form_start(form) }}
    {{ form_errors(form) }}
    {{ form_row(form.circle) }}
    {{ form_row(form.name) }}
    {{ form_row(form.date) }}

    {{ form_row(form.type, { 'label': 'Event type' }) }}
    {{ form_row(form.moderator) }}
    {{ form_row(form.location) }}
    {{ form_row(form.organizationCost) }}

    {{ form_row(form.comment) }}
    {{ form_row(form.documents) }}

    <ul class="record_actions sticky-form-buttons">
        <li class="cancel">
            <a href="{{ path('chill_event_list_most_recent') }}" class="btn btn-cancel">
                {{ 'Back to the most recent events'|trans }}
            </a>
        </li>
        <li>
            {{ form_widget(form.submit, { 'attr' : { 'class' : 'btn btn-create' } }) }}
        </li>
    </ul>

    {{ form_end(form) }}
</div>
{% endblock %}
